> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zerocash.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an External Account

> External accounts, also known as beneficiaries, are records of accounts where funds can be sent (payouts) or from which funds can be initiated (deposits). This can represent an individual's bank account, a business account, or a mobile mone



## OpenAPI

````yaml POST /api/b2b/external-accounts
openapi: 3.1.0
info:
  title: Zerocash API
  version: 1.0.0
  description: >-
    The Zerocash API lets you collect payments (charges) and disburse funds
    (payouts) across supported markets through a single, unified integration.
servers:
  - url: https://api.zerocash.tech
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: Obtain and manage API credentials.
  - name: Reference Data
    description: Look up countries, banks, operators, and rates before transacting.
  - name: Charges
    description: Collect payments from your customers.
  - name: Payouts
    description: Disburse funds to recipients.
  - name: Transactions
    description: Retrieve and reconcile transactions.
  - name: Webhooks
    description: Receive and replay real-time event notifications.
paths:
  /api/b2b/external-accounts:
    post:
      tags:
        - Payouts
      summary: Create an External Account
      description: >-
        External accounts, also known as beneficiaries, are records of accounts
        where funds can be sent (payouts) or from which funds can be initiated
        (deposits). This can represent an individual's bank account, a business
        account, or a mobile money account, depending on the type.
      operationId: create-external-account
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - country
                - currency
                - type
                - payload
              properties:
                country:
                  type: string
                currency:
                  type: string
                type:
                  type: string
                  description: deposit or payout
                payload:
                  type: object
                  properties:
                    firstName:
                      type: string
                      description: Required for type momo deposit.
                    lastName:
                      type: string
                      description: Required for type momo deposit.
                    phoneNumber:
                      type: string
                      description: Required for type momo deposit.
                    destination:
                      type: string
                      description: Required for type payout.
                    payoutMethod:
                      type: object
                      description: Required for type payout
                      required:
                        - accountName
                        - accountNumber
                      properties:
                        accountName:
                          type: string
                          description: e.g Clark Kent
                        accountNumber:
                          type: string
                          description: '254712345678'
                        code:
                          type: string
                          description: >-
                            Might be required depending on the currency and
                            destination. All bank payouts require the bank code
                            which can be retrieved from the get banks api. For
                            mobile money payouts, some currencies require a
                            mobile operator code which can be retrieved from the
                            mobile money providers api.
                        businessNumber:
                          type: string
                          description: Only applies for Mpesa paybill payouts
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    message: Successfully saved account.
                    data:
                      id: 8VzVZP82mQjA8AOynzal
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  message:
                    type: string
                    example: Successfully saved account.
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 8VzVZP82mQjA8AOynzal
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    message: 'Validation error: Branch code is required for UG and TZ.'
                    errorCode: VALIDATION_ERROR
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  message:
                    type: string
                    example: 'Validation error: Branch code is required for UG and TZ.'
                  errorCode:
                    type: string
                    example: VALIDATION_ERROR
      deprecated: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````